import $ from 'jquery';

/**
 * Initialise la barre de navigation afin de contrôler l'ouverture des menus
 * sur mobile. Ces menus, en principal le principal et utilisateur, sont
 * récupérés dynamiquement depuis leur id qui se finit par '-menu'.
 */
export function initNavBar() {
  const $navBar = $('#navigation-bar');
  const $menus = $navBar.find('[id$="-menu"]');
  const $titleBar = $('[data-responsive-toggle="navigation-bar"]');
  const $menuTogglers = $titleBar.find('[data-toggle$="-menu"]');

  $menus.on('toggle.zf.trigger', (ev, $toggler) => {
    const $currentMenu = $(ev.target);

    if ($currentMenu.is(':hidden')) {
      // bascule l'affichage des menus
      $menus.not($currentMenu).hide();
      $currentMenu.show();

      // bascule la classe des boutons
      $menuTogglers.not($toggler).removeClass('is-active');
      $toggler.addClass('is-active');

      if ($navBar.is(':hidden')) {
        // affiche la barre de navigation
        $titleBar.foundation('toggleMenu');
      } else {
        // déclenche le redimensionnement du menu
        $currentMenu.find('[data-mutate]').trigger('mutateme.zf.trigger');
      }
    } else {
      // enlève la classe du bouton
      $toggler.removeClass('is-active');

      // masque la barre de navigation
      $titleBar.foundation('toggleMenu');
    }
  });

  $(window).on('changed.zf.mediaquery', () => {
    // réinitialise les éléments
    if ($titleBar.is(':hidden')) {
      $menus.show();
      $menuTogglers.removeClass('is-active');
    }
  });
};
