# Generated by Django 2.0.2 on 2018-05-17 22:28

import boiteaasso.accounts.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='UserAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(error_messages={'unique': 'Un compte utilisateur existe déjà avec cette adresse.'}, max_length=254, unique=True, verbose_name='adresse mail')),
                ('is_active', models.BooleanField(default=True, help_text='Précise si le compte utilisateur doit être considéré comme actif. Vous pouvez le désactiver plutôt que de le supprimer.', verbose_name='actif')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name="date d'inscription")),
                ('full_name', models.CharField(blank=True, editable=False, max_length=150)),
                ('short_name', models.CharField(blank=True, editable=False, max_length=30)),
            ],
            options={
                'verbose_name': 'compte utilisateur',
                'verbose_name_plural': 'comptes utilisateurs',
                'ordering': ['full_name', 'email'],
            },
            managers=[
                ('objects', boiteaasso.accounts.models.UserAccountManager()),
            ],
        ),
        migrations.CreateModel(
            name='Association',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(error_messages={'unique': 'Une association existe déjà avec ce nom.'}, max_length=150, unique=True, verbose_name='nom')),
                ('sigle', models.CharField(blank=True, max_length=30, verbose_name='sigle')),
                ('activite_type', models.CharField(choices=[('culture', 'Culture'), ('loisirs', 'Loisirs'), ('sport', 'Sport'), ('autre', 'Autre')], max_length=10, verbose_name="type d'activité")),
                ('responsable_nom', models.CharField(max_length=150, verbose_name='nom du responsable')),
                ('responsable_prenom', models.CharField(max_length=30, verbose_name='prénom du responsable')),
                ('responsable_fonction', models.CharField(max_length=100, verbose_name='fonction du responsable')),
                ('responsable_email', models.EmailField(max_length=254, verbose_name='adresse mail du responsable')),
                ('responsable_tel', models.CharField(max_length=15, verbose_name='téléphone du responsable')),
                ('account', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='association', related_query_name='associations', to=settings.AUTH_USER_MODEL, verbose_name='compte utilisateur')),
            ],
            options={
                'verbose_name': 'association',
                'verbose_name_plural': 'associations',
            },
        ),
    ]
