# Generated by Django 2.1.7 on 2019-03-26 08:43

from django.db import migrations


def migrate_association_adresse(apps, schema_editor):
    Association = apps.get_model('accounts', 'Association')
    db_alias = schema_editor.connection.alias
    # parcours les associations et définis les champs de l'adresse
    for association in Association.objects.using(db_alias).filter(
        adresse__isnull=False
    ).select_related('adresse'):
        for field in ('rue', 'ville', 'code_postal'):
            setattr(association, field, getattr(association.adresse, field))
        association.save()


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0003_add_association_adresse_fields'),
    ]

    operations = [
        migrations.RunPython(migrate_association_adresse),
    ]
