from django.db import models

from boiteaasso.accounts.models import AbstractUserType


class Person(AbstractUserType):
    first_name = models.CharField(max_length=30)
    last_name = models.CharField(max_length=150)

    class Meta:
        unique_together = ('first_name', 'last_name')

    def get_full_name(self):
        return '{} {}'.format(self.first_name, self.last_name).strip()

    def get_short_name(self):
        return self.first_name


class Organization(AbstractUserType):
    name = models.CharField(max_length=100)

    def get_full_name(self):
        return self.name

    def get_short_name(self):
        return self.name
