from django.conf import settings

from wagtail.models import Site


def site_name(request):
    """Ajoute au contexte le nom du site pour la requête."""
    site_name = None
    if Site.find_for_request(request):
        try:
            site_name = Site.find_for_request(request).site_name
        except Site.DoesNotExist:
            pass
    return {'SITE_NAME': site_name or settings.WAGTAIL_SITE_NAME}
