# Generated by Django 2.0.2 on 2018-05-17 22:30

import boiteaasso.services.echanges.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('accounts', '0002_initial_relation_fields'),
        ('wagtailcore', '0040_page_draft_title'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnnonceCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='nom')),
                ('slug', models.SlugField(max_length=80, unique=True)),
            ],
            options={
                'verbose_name': 'catégorie',
                'verbose_name_plural': 'catégories des petites annonces',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='AnnonceIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('introduction', models.TextField(blank=True, help_text="Un petit texte d'introduction affiché sur la page d'index.")),
                ('details', wagtail.fields.RichTextField(blank=True, help_text='Des détails sur ce service de petites annonces, qui seront affichés sur une page à part. Si ce champ est vide, cette page ne sera pas visible.', verbose_name='détails')),
            ],
            options={
                'verbose_name': "page d'index pour des petites annonces",
                'verbose_name_plural': "pages d'index pour des petites annonces",
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='AnnoncePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('description', wagtail.fields.RichTextField()),
                ('type', models.CharField(choices=[('offre', 'Offre'), ('demande', 'Demande')], max_length=10)),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='echanges.AnnonceCategory', verbose_name='catégorie')),
            ],
            options={
                'verbose_name': 'petite annonce',
                'verbose_name_plural': 'petites annonces',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='AnnoncePhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('photo', models.ImageField()),
                ('thumb', models.ImageField(editable=False)),
                ('title', models.CharField(blank=True, max_length=255, verbose_name='titre')),
                ('annonce', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to='echanges.AnnoncePage')),
            ],
            options={
                'verbose_name': "photo d'une annonce",
                'verbose_name_plural': "photos d'une annonce",
            },
        ),
        migrations.CreateModel(
            name='UserAnnonceStats',
            fields=[
                ('account', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='annonce_stats', serialize=False, to=settings.AUTH_USER_MODEL)),
                ('annonces_nb', models.PositiveSmallIntegerField(default=0, help_text='Nombre total de petites annonces publiées.', verbose_name="nombre d'annonces")),
                ('messages_nb', models.PositiveSmallIntegerField(default=0, help_text='Nombre total de messages envoyés sur les petites annonces.', verbose_name='nombre de messages')),
            ],
        ),
    ]
