# Generated by Django 2.0.6 on 2018-06-26 12:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import wagtail.fields
import wagtail.search.index


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailcore', '0040_page_draft_title'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('echanges', '0002_add_annonce_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='Annonce',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='titre')),
                ('type', models.CharField(choices=[('offre', 'Offre'), ('demande', 'Demande')], max_length=10, verbose_name='type')),
                ('description', wagtail.fields.RichTextField()),
                ('is_active', models.BooleanField(default=True, help_text='Détermine si la petite annonce est visible publiquement.', verbose_name='active')),
                ('created_at', models.DateTimeField(blank=True, default=django.utils.timezone.now, editable=False, verbose_name='date de création')),
                ('last_modified_at', models.DateTimeField(blank=True, editable=False, verbose_name='date de la dernière modification')),
                ('category', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='echanges.AnnonceCategory', verbose_name='catégorie')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='annonces', to=settings.AUTH_USER_MODEL, verbose_name='annonceur-se')),
            ],
            options={
                'verbose_name': 'petite annonce',
                'verbose_name_plural': 'petites annonces',
                'permissions': (
                    ('contact_annonce', 'Peut contacter les annonceurs-ses'),
                ),
            },
            bases=(models.Model, wagtail.search.index.Indexed),
        ),
        migrations.CreateModel(
            name='Settings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('introduction', models.TextField(blank=True, help_text="Un petit texte d'introduction pour décrire le service, affiché sur la page d'index.")),
                ('help_is_active', models.BooleanField(default=False, help_text="Définis si la page d'aide est visible.", verbose_name='aide active')),
                ('help_content', wagtail.fields.RichTextField(blank=True, verbose_name="contenu de l'aide")),
                ('site', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, to='wagtailcore.Site')),
            ],
            options={
                'verbose_name': "paramètres du service d'échanges",
            },
        ),
    ]
