from django.db.models.signals import post_save

from .models import Annonce, UserAnnonceStats


def post_save_annonce_stats(instance, created, **kwargs):
    """
    Incrémente le compteur de la personne lors d'une nouvelle petite annonce.
    """
    if created:
        stats, stats_created = UserAnnonceStats.objects.get_or_create(
            account=instance.owner, defaults={'annonces_nb': 1}
        )
        if not stats_created:
            stats.annonces_nb += 1
            stats.save()


def register_signal_handlers():
    post_save.connect(post_save_annonce_stats, sender=Annonce)
