from django import template

from ..models import AnnonceType

register = template.Library()


@register.simple_tag
def annonce_types(current=None):
    """
    Retourne les types de petites annonces disponible comme une liste de
    ``djchoices.ChoiceItem``. Il est possible de spécifier la valeur ou
    l'objet représentant un type courant. Le choix correspondant aura
    son attribut ``active`` à ``True``.
    """
    types = AnnonceType._fields.copy().values()
    # si c'est un ChoiceItem, on récupère sa valeur
    current = getattr(current, 'value', current)
    for choice in types:
        choice._extra['active'] = choice.value == current
    return types
