from factory import Faker, Sequence, SubFactory
from factory.django import DjangoModelFactory

from boiteaasso.accounts.tests_accounts.factories import (
    AssociationUserAccountFactory,
)

from ..models import Annonce, AnnonceCategory, AnnonceType


class AnnonceCategoryFactory(DjangoModelFactory):
    name = Sequence(lambda x: 'Catégorie {0}'.format(x))

    class Meta:
        model = AnnonceCategory


class AnnonceFactory(DjangoModelFactory):
    title = Faker('sentence', nb_words=5)
    description = Faker('text', max_nb_chars=200)
    category = SubFactory(AnnonceCategoryFactory)
    type = Faker('random_element', elements=AnnonceType.values.keys())
    owner = SubFactory(AssociationUserAccountFactory)

    class Meta:
        model = Annonce


class DemandeFactory(AnnonceFactory):
    type = AnnonceType.demande


class OffreFactory(AnnonceFactory):
    type = AnnonceType.offre
