from factory import Faker, Sequence, SubFactory
from factory.django import DjangoModelFactory

from boiteaasso.accounts.tests_accounts.factories import (
    AssociationUserAccountFactory,
)

from ..models import OffreEmploi, OffreEmploiCategory, OffreEmploiType


class OffreEmploiCategoryFactory(DjangoModelFactory):
    name = Sequence(lambda x: 'Catégorie {0}'.format(x))

    class Meta:
        model = OffreEmploiCategory


class OffreEmploiFactory(DjangoModelFactory):
    title = Faker('sentence', nb_words=5)
    description = Faker('text', max_nb_chars=200)
    category = SubFactory(OffreEmploiCategoryFactory)
    type = Faker('random_element', elements=OffreEmploiType.values.keys())
    owner = SubFactory(AssociationUserAccountFactory)
    is_active = True

    class Meta:
        model = OffreEmploi


class DemandeFactory(OffreEmploiFactory):
    type = OffreEmploiType.demande


class OffreFactory(OffreEmploiFactory):
    type = OffreEmploiType.offre
