from django.urls import path

from . import views

app_name = 'emplois'

urlpatterns = [
    path(
        'aide/',
        views.HelpView.as_view(),
        name='help'
    ),
    path(
        'offre_emploi/<int:pk>/',
        views.OffreEmploiDetailView.as_view(),
        name='offre_emploi-detail'
    ),
    path(
        'offre_emploi/<int:pk>/contact/',
        views.OffreEmploiContactView.as_view(),
        name='offre_emploi-contact'
    ),
    path(
        'type/<str:offres_emplois_type>/',
        views.OffreEmploiListView.as_view(),
        name='offres_emplois-by-type'
    ),
    path(
        '',
        views.OffreEmploiListView.as_view(),
        name='offres_emplois'
    ),
    path(
        'offre_emploi/<int:pk>/approve',
        views.OffreEmploiApproveView.as_view(),
        name='approve-offreemploi'
    ),
    path(
        'offre_emploi/<int:pk>/reject',
        views.OffreEmploiRejectView.as_view(),
        name='reject-offreemploi'
    ),
    path(
        'creation/',
        views.OffreEmploiFrontCreateView.as_view(),
        name='offre_emploi-create',
    ),
]
