from django import template

from ..models import FormationCategory

register = template.Library()


@register.simple_tag
def formation_categories(current=None):
    """
    Retourne les catégories de formations disponibles. Il est possible de
    spécifier la valeur ou l'objet représentant un type courant. Le choix
    correspondant aura son attribut ``active`` à ``True``.
    """
    categories = FormationCategory.objects.values()
    if current:
        return [{'active': c['id'] == current.id, **c} for c in categories]
    return categories
