from django.urls import path

from . import views

app_name = 'formations'

urlpatterns = [
    path('aide/', views.HelpView.as_view(), name='help'),
    path(
        'formation/<int:pk>/',
        views.FormationDetailView.as_view(),
        name='formation-detail',
    ),
    path(
        'formation/<int:pk>/subscribe/',
        views.FormationSubscribeView.as_view(),
        name='formation-subscribe',
    ),
    path(
        'category/<str:formations_category>/',
        views.FormationListView.as_view(),
        name='formations-by-category',
    ),
    path('', views.FormationListView.as_view(), name='formations'),
    path(
        'subscription/<int:pk>/approve',
        views.SubscriptionAppproveView.as_view(),
        name='approve-subscription',
    ),
    path(
        'subscription/<int:pk>/reject',
        views.SubscriptionRejectView.as_view(),
        name='reject-subscription',
    ),
]
