from wagtail.contrib.modeladmin.options import (
    ModelAdmin,
    ModelAdminGroup,
    modeladmin_register,
)

from .echanges.models import AnnonceCategory
from .echanges.wagtail_hooks import AnnonceAdmin
from .emplois.models import OffreEmploiCategory
from .emplois.wagtail_hooks import OffreEmploiAdmin
from .formations.models import FormationCategory
from .formations.wagtail_hooks import FormationAdmin, SubscriptionAdmin


@modeladmin_register
class ServicesAdminGroup(ModelAdminGroup):
    menu_icon = 'cubes'
    menu_label = "Services"
    menu_order = 900
    items = (AnnonceAdmin, FormationAdmin, SubscriptionAdmin, OffreEmploiAdmin)


class AnnonceCategoryModelAdmin(ModelAdmin):
    model = AnnonceCategory
    menu_label = "Catégories des annonces"
    menu_icon = 'bullhorn'


class FormationCategoryModelAdmin(ModelAdmin):
    model = FormationCategory
    menu_label = "Catégories des formations"
    menu_icon = 'graduation-cap'


class OffreEmploiCategoryModelAdmin(ModelAdmin):
    model = OffreEmploiCategory
    menu_label = "Catégories des offres et demande d'emploi"
    menu_icon = 'graduation-cap'


class CategoryModelAdminGroup(ModelAdminGroup):
    menu_label = 'Catégories'
    menu_icon = 'tags'
    items = (
        AnnonceCategoryModelAdmin,
        FormationCategoryModelAdmin,
        OffreEmploiCategoryModelAdmin,
    )


modeladmin_register(CategoryModelAdminGroup)
