# Typographie

<p class="lead">Ce graphisme utilises la police d'écriture <a href="https://github.com/JulietaUla/Montserrat"><b>Montserrat</b></a>, sous licence OFL.</p>

---

## Titres

Les titres sont utilisés pour identifier différentes sections du contenu, généralement liés à un paragraphe ou d'autres éléments HTML. Ils vont de `h1` à `h6` et doivent être utilisés dans une hiérarchie claire.

---

<h1>Titre de niveau 1</h1>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h2>Titre de niveau 2</h2>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h3>Titre de niveau 3</h3>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h4>Titre de niveau 4</h4>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h5>Titre de niveau 5</h5>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

<h6>Titre de niveau 6</h6>

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.

---

## Liste de définitions

Ces listes sont utilisées pour présenter une paire de nom-valeur, comme des méta données ou des définitions. Elles sont ici étendues afin de pouvoir afficher une paire de nom-valeur sur une même ligne, an ajoutant `.inline` à l'élément `dl`. Il est aussi possible de basculer cette affichage à partir d'une certaine résolution, par exemple `.large-inline`.

```html_example
<dl class="medium-inline">
  <dt>Auteur :</dt>
  <dd>Une certaine personne</dd>
  <dt>Date d'ajout :</dt>
  <dd>Hier à 20:18</dd>
</dl>
```



# Boutons

<p class="lead">Les boutons sont attachés à une action d'un certain type, que ce soit un distributeur de fromage ou juste l'envoi d'un formulaire.</p>

---

## Styles

Il est possible de modifier le style (couleur, taille...) des boutons en ajoutant certaines classes, décrites dans la [documentation de Foundation](https://foundation.zurb.com/sites/docs/button.html).

```html_example
<a href="#" class="button">Bouton principal</a>
<a href="#" class="secondary button">Bouton secondaire</a>
<a href="#" class="success button">Bouton de réussite</a>
<a href="#" class="warning button">Bouton d'attention</a>
<a href="#" class="error button">Bouton d'erreur</a>
<a href="#" class="small button">Petit buton</a>
```

## Icônes

Il est aussi possible d'ajouter une icône dans un bouton. Pour cela, il faut ajouter la `.icon` au bouton, qui positionnera l'icône sur le côté par défaut. Il est aussi possible à la place de spécifier explicitement le côté, avec `.icon-left` ou `.icon-right`. Enfin, il ne reste plus qu'à ajouter la classe de l'icône voulue (voir la doc. de Font Awesome).

```html_example
<button type="button" class="icon-left fa-search button">Rechercher</button>
<button type="button" class="icon-right fa-angle-right success button">Continuer</button>
<hr>
<button type="button" class="icon fa-pencil secondary tiny button">Éditer</button>
<button type="button" class="icon fa-pencil secondary small button">Éditer</button>
<button type="button" class="icon fa-pencil secondary button">Éditer</button>
<button type="button" class="icon fa-pencil secondary large button">Éditer</button>
```



# Callout

<p class="lead">Un conteneur simple à mettre en valeur, que ce soit d'un message (alerte, succès&hellip;) ou d'un panneau.</p>

---

Comme les boutons, et d'autres composants, la palette de couleur permets de mettre en forme les *callouts* en fonction du type de message ou de contenu. Il est aussi possible de les combiner avec le bouton de fermeture, afin de les fermer tout simplement.

```html_example
<div class="callout">
  <h5>Ceci est un message</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="success callout">
  <h5>Ceci est un message de réussite</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="info callout">
  <h5>Ceci est un message d'information</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="warning callout">
  <h5>Ceci est un message de mise en garde</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
<div class="error callout" data-closable>
  <button class="close-button" aria-label="Fermer" type="button" data-close>
    <span aria-hidden="true">&times;</span>
  </button>
  <h5>Ceci est un message d'erreur qui se ferme</h5>
  <p>Un texte très intéressant, permettant de comprendre cette boîte.</p>
</div>
```



# Card

<p class="lead">Un conteneur flexible, pouvant contenir plusieurs sections de différents types.</p>

---

## Les bases

Le conteneur `.card` peut contenir n'importe quel contenu à l'intérieur. Ce contenu est à définir dans un élément `.card-section`. Il est possible d'en définir plusieurs, afin de sous-diviser le conteneur. Les images sont à englober dans un élément `.card-image`.

```html_example
<div class="card" style="width: 300px;">
  <div class="card-image">
    <img src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22318%22%20height%3D%22180%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20318%20180%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_158bd1d28ef%20text%20%7B%20fill%3Argba(255%2C255%2C255%2C.75)%3Bfont-weight%3Anormal%3Bfont-family%3AHelvetica%2C%20monospace%3Bfont-size%3A16pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_158bd1d28ef%22%3E%3Crect%20width%3D%22318%22%20height%3D%22180%22%20fill%3D%22%23777%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%22129.359375%22%20y%3D%2297.35%22%3EImage%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" alt="Card image">
  </div>
  <div class="card-section">
    <h5>Card title</h5>
    <p>Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>
    <a href="#" class="button button-primary">Go somewhere</a>
  </div>
</div>
```

---

## Sections plus importantes

Un élément `.card-divider` permet d'englober des sections plus importantes, comme un titre ou un pied de page.

```html_example
<div class="card" style="width: 300px;">
  <div class="card-divider">Header</div>
  <div class="card-section">
    <h4>Card title</h5>
    <h5 class="subheader">Card subtitle</h6>
    <p>Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>
  </div>
  <div class="card-divider text-muted">Footer</div>
</div>
```

---

## Combinaison

Enfin, il est possible de mixer les types de contenu avec d'autres composants, comme les listes d'éléments.

```html_example
<div class="card" style="width: 300px;">
  <div class="card-image">
    <img src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22318%22%20height%3D%22180%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20318%20180%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_158bd1d28ef%20text%20%7B%20fill%3Argba(255%2C255%2C255%2C.75)%3Bfont-weight%3Anormal%3Bfont-family%3AHelvetica%2C%20monospace%3Bfont-size%3A16pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_158bd1d28ef%22%3E%3Crect%20width%3D%22318%22%20height%3D%22180%22%20fill%3D%22%23777%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%22129.359375%22%20y%3D%2297.35%22%3EImage%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" alt="Card image">
  </div>
  <div class="card-section">
    <h5>Card title</h5>
    <p>Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>
  </div>
  <ul class="list-group flush">
    <li class="list-group-item">Cras justo odio</li>
    <li class="list-group-item">Dapibus ac facilisis in</li>
    <li class="list-group-item">Vestibulum at eros</li>
  </ul>
  <div class="card-section">
    <ul class="menu simple">
      <li><a href="#">Card link</a></li>
      <li><a href="#">Another link</a></li>
    </ul>
  </div>
</div>
```



# Formulaires

<p class="lead">Utiliser des formulaires pour permettre aux personnes d'interagir sur l'application, entre autres.</p>

---

## Éléments d'un formulaire

Même pour des besoins esthétiques particuliers, les éléments d'un formulaire définis par le HTML5 doivent toujours être utilisés. Foundation se charge de les mettre en forme et unifier leur apparence sur les différents navigateurs. Enfin, en plus de ces styles, les champs de type *checkbox* et *radio* sont également mis en forme. Un exemple est donné ci-dessous.

---

## Mise en page

Les éléments d'un formulaire dans Foundation sont mis en page en fonction de leur attribut plutôt que d'une classe. Les champs occupent par défaut toute la longueur, ce qui nécessite de les contenir dans une grille en fonction du rendu que l'on veut.

---

## Exemple d'un formulaire

```html_example
<form class="grid-container">
  <div class="grid-x">
    <div class="cell">
      <label>Label<span class="asterisk">*</span>
        <input type="text" placeholder="placeholder" required>
      </label>
    </div>
  </div>
  <div class="grid-x grid-margin-x">
    <div class="large-6 cell">
      <label>Label
        <input type="text" placeholder="placeholder">
      </label>
    </div>
    <div class="large-6 cell">
      <div class="row collapse">
        <label>Label</label>
        <div class="input-group">
          <input class="input-group-field" type="text" placeholder="placeholder">
          <span class="input-group-label">.com</span>
        </div>
      </div>
    </div>
  </div>
  <div class="grid-x">
    <div class="large-12 cell">
      <label>Select
        <select>
          <option value="vert">Vert</option>
          <option value="rouge">Rouge</option>
          <option value="bleu">Bleu</option>
        </select>
      </label>
    </div>
  </div>
  <div class="grid-x grid-margin-x">
    <div class="large-6 cell">
      <fieldset class="choices-holder">
        <legend>Choisissez la couleur</legend>
        <input type="radio" name="radio1" value="radio1" id="radio1"><label for="radio1">Rouge</label>
        <input type="radio" name="radio1" value="radio2" id="radio2"><label for="radio2">Bleu</label>
      </fieldset>
    </div>
    <div class="large-6 cell">
      <fieldset class="choices-holder">
        <legend>Cochez ces cases</legend>
        <input id="checkbox1" type="checkbox"><label for="checkbox1">Checkbox 1</label>
        <input id="checkbox2" type="checkbox"><label for="checkbox2">Checkbox 2</label>
      </fieldset>
    </div>
  </div>
  <div class="grid-x">
    <div class="large-12 cell">
      <label>Textarea
        <textarea placeholder="placeholder" rows="3"></textarea>
      </label>
    </div>
  </div>
  <div class="button-holder">
    <button type="submit" class="expanded button">Envoyer</button>
  </div>
</form>
```



# Onglets

<p class="lead">Les onglets permettent de structurer et de naviguer dans plusieurs parties d'un document dans un seul conteneur.</p>

---

## Les bases

Les onglets sont définis dans une liste avec `.tabs`, chaque titre de cette liste doit avoir `.tabs-title` et doit pointer vers le contenu auquel il réfère. Les différents contenus, quant à eux, doivent avoir `.tabs-panel` et sont à englober dans un conteneur `.tabs-content`.

En plus de ces éléments, qui suivent la structure des [onglets de Foundation](https://foundation.zurb.com/sites/docs/tabs.html), il est possible d'englober les onglets et leur contenu dans un élément `.tabs-wrapper`. Celui-ci ajoutera principalement une marge en dessous du contenu.

```html_example
<div class="tabs-wrapper">
  <ul class="tabs" data-tabs id="example-tabs">
    <li class="tabs-title is-active">
      <a href="#panel1" aria-selected="true">Onglet 1</a>
    </li>
    <li class="tabs-title">
      <a href="#panel2">Onglet 2</a>
    </li>
  </ul>

  <div class="tabs-content" data-tabs-content="example-tabs">
    <div class="tabs-panel is-active" id="panel1">
      <p>Vivamus hendrerit arcu sed erat molestie vehicula. Sed auctor neque eu tellus rhoncus ut eleifend nibh porttitor. Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor. Suspendisse dictum feugiat nisl ut dapibus.</p>
    </div>
    <div class="tabs-panel" id="panel2">
      <p>Suspendisse dictum feugiat nisl ut dapibus.  Vivamus hendrerit arcu sed erat molestie vehicula. Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor.  Sed auctor neque eu tellus rhoncus ut eleifend nibh porttitor.</p>
    </div>
  </div>
</div>
```

---

## Vertical

En ajoutant `.vertical` à l'élément `.tabs-wrapper`, la liste des onglets sera affichée verticalement et les marges du conteneur des onglets sera ajustée. Dans ce cas, l'utilisation des grilles est l'idéal pour agencer les éléments.

```html_example
<div class="vertical tabs-wrapper">
  <div class="grid-x align-stretch">
    <div class="cell medium-3">
      <ul class="vertical tabs" data-tabs id="example-vtabs">
        <li class="tabs-title is-active"><a href="#panel1v" aria-selected="true">Onglet 1</a></li>
        <li class="tabs-title"><a href="#panel2v">Onglet 2</a></li>
        <li class="tabs-title"><a href="#panel3v">Onglet 3</a></li>
      </ul>
    </div>
    <div class="cell medium-9">
      <div class="vertical tabs-content" data-tabs-content="example-vtabs">
        <div class="tabs-panel is-active" id="panel1v">
          <h4>Onglet 1</h4>
          <p>Vivamus hendrerit arcu sed erat molestie vehicula. Sed auctor neque eu tellus rhoncus ut eleifend nibh porttitor. Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor. Suspendisse dictum feugiat nisl ut dapibus.</p>
        </div>
        <div class="tabs-panel" id="panel2v">
          <h4>Onglet 2</h4>
          <p>Suspendisse dictum feugiat nisl ut dapibus.  Vivamus hendrerit arcu sed erat molestie vehicula. Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor.  Sed auctor neque eu tellus rhoncus ut eleifend nibh porttitor.</p>
        </div>
        <div class="tabs-panel" id="panel3v">
          <h4>Onglet 3</h4>
          <p>Vivamus hendrerit arcu sed erat molestie vehicula. Sed auctor neque eu tellus rhoncus ut eleifend nibh porttitor. Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor. Suspendisse dictum feugiat nisl ut dapibus.</p>
          <p>Suspendisse dictum feugiat nisl ut dapibus.  Vivamus hendrerit arcu sed erat molestie vehicula. Ut in nulla enim. Phasellus molestie magna non est bibendum non venenatis nisl tempor.  Sed auctor neque eu tellus rhoncus ut eleifend nibh porttitor.</p>
        </div>
      </div>
    </div>
  </div>
</div>
```



# Liste d'éléments

<p class="lead">Cette liste permet de présenter des groupes de contenu de manière flexible, à la place d'un tableau.</p>

---

## Utilisation simple

Les éléments `.list-group-item` sont définis dans un élément `.list-group`, qui peut être une liste ou un autre conteneur. L'élément actif du groupe est mis en avant avec `.is-active`.

```html_example
<ul class="list-group">
  <li class="list-group-item is-active">Cras justo odio</li>
  <li class="list-group-item">Dapibus ac facilisis in</li>
  <li class="list-group-item disabled">Morbi leo risus</li>
  <li class="list-group-item">Porta ac consectetur ac</li>
  <li class="list-group-item">Vestibulum at eros</li>
</ul>
```

Pour supprimer les bordures et ainsi avoir une liste bord à bord, il faut ajouter `.flush` au conteneur.

```html_example
<ul class="list-group flush">
  <li class="list-group-item">Cras justo odio</li>
  <li class="list-group-item">Dapibus ac facilisis in</li>
  <li class="list-group-item">Morbi leo risus</li>
  <li class="list-group-item">Porta ac consectetur ac</li>
  <li class="list-group-item">Vestibulum at eros</li>
</ul>
```

---

## Liens et boutons

En combinant des éléments `<a>` ou `<button>` avec `.action`, ils deviennent alors *actionnables*. Attention cependant à ne pas les combiner également avec les boutons.

```html_example
<div class="list-group">
  <a href="#" class="list-group-item action is-active">
    Cras justo odio
  </a>
  <a href="#" class="list-group-item action">Dapibus ac facilisis in</a>
  <button class="list-group-item action" disabled>
    Morbi leo risus
  </button>
  <a href="#" class="list-group-item action">Porta ac consectetur ac</a>
  <a href="#" class="list-group-item action">Vestibulum at eros</a>
</div>
```

---

## Contenu avancé

Ces éléments peuvent aussi contenir autre chose que du texte, et ainsi construire des groupe de contenu avancé avec des grilles par exemple.

```html_example
<ul class="list-group">
  <li class="list-group-item">
    <div class="grid-x align-justify align-middle">
      Cras justo odio
      <span class="label">14</span>
    </div>
  </li>
  <li class="list-group-item">
    <div class="grid-x align-justify align-middle">
      Dapibus ac facilisis in
      <span class="label">2</span>
    </div>
  </li>
  <li class="list-group-item">
    <div class="grid-x align-justify align-middle">
      Morbi leo risus
      <span class="label">1</span>
    </div>
  </li>
</ul>
```

Ou encore du contenu plus complexe, *actionnable* à l'aide de `.action`.

```html_example
<div class="list-group">
  <a href="#" class="list-group-item action is-active">
    <div class="grid-x align-middle align-justify margin-bottom-1">
      <h5 class="margin-bottom-0">Titre de l'élément 1</h5>
      <small>il y a 3 jours</small>
    </div>
    <p class="margin-bottom-0">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>
    <small>Donec id elit non mi porta.</small>
  </a>
  <a href="#" class="list-group-item action">
    <div class="grid-x align-middle align-justify margin-bottom-1">
      <h5 class="margin-bottom-0">Titre de l'élément 2</h5>
      <small class="text-muted">il y a 3 jours</small>
    </div>
    <p class="margin-bottom-0">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>
    <small class="text-muted">Donec id elit non mi porta.</small>
  </a>
</div>
```

---

## Filtres

Il est aussi prévu de pouvoir présenter des filtres pour cette liste. Dans un conteneur `.list-filters`, le titre est mis en forme avec `.list-filters-title` et le contenu est à regrouper dans `.list-filters-content`. Il est prévu pour pouvoir être affiché ou masqué, à l'aide de [Toogler](https://foundation.zurb.com/sites/docs/toggler.html) via la classe `is-visible` appliquée au conteneur.

```html_example
<div class="list-filters" id="filtres" data-toggler="is-visible">
  <a class="list-filters-title" data-toggle="filtres">
    <span class="fa fa-filter" aria-hidden="true"></span> Filtres
  </a>
  <div class="list-filters-content">
    <form method="get" action="">
      <div class="grid-x grid-margin-x">
        <div class="cell medium-auto">
          <input type="text" placeholder="Mots clés...">
        </div>
        <div class="cell medium-5">
          <select>
            <option>Toutes les catégories</option>
            <option>Catégorie 1</option>
            <option>Catégorie 2</option>
          </select>
        </div>
        <div class="cell medium-shrink">
          <button type="submit" class="button expanded">Rechercher</button>
        </div>
      </div>
    </form>
  </div>
</div>
```

Pour rendre les filtres toujours visibles et désactiver leur bascule, il faudra ajouter `.is-visible` au conteneur et ne pas ajouter les attributs pour *Toggler*.

```html_example
<div class="list-filters is-visible">
  <div class="list-filters-title">
    <span class="fa fa-filter" aria-hidden="true"></span> Filtres visibles
  </div>
  <div class="list-filters-content">
    <p>Les filtres sont à mettre ici...</p>
  </div>
</div>
```
